org.modeshape.jcr

## Class RepositoryConfiguration.DocumentOptimization

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.DocumentOptimization

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.DocumentOptimization
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.DocumentOptimization(Document optimization)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChildCountTarget()` Get the target for the number of children in a single persisted node document.
    `int` | `getChildCountTolerance()` Get the tolerance for the number of children in a single persisted node document.
    `String` | `getInitialTimeExpression()` Get the time that the first optimization process should be run.
    `int` | `getIntervalInHours()` Get the optimization interval in hours.
    `String` | `getThreadPoolName()` Get the name of the thread pool that should be used for optimization work.
    `boolean` | `isEnabled()` Determine if document optimization is enabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.DocumentOptimization

          protected RepositoryConfiguration.DocumentOptimization(Document optimization)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Determine if document optimization is enabled. At this time, optimization is DISABLED by default and must be enabled by defining the "" and " " fields.
      Returns:
        true if enabled, or false otherwise

    - #### getThreadPoolName

          public String getThreadPoolName()

      Get the name of the thread pool that should be used for optimization work.
      Returns:
        the thread pool name; never null

    - #### getInitialTimeExpression

          public String getInitialTimeExpression()

      Get the time that the first optimization process should be run.
      Returns:
        the initial time; never null

    - #### getIntervalInHours

          public int getIntervalInHours()

      Get the optimization interval in hours.
      Returns:
        the interval; never null

    - #### getChildCountTarget

          public int getChildCountTarget()

      Get the target for the number of children in a single persisted node document.
      Returns:
        the child count target

    - #### getChildCountTolerance

          public int getChildCountTolerance()

      Get the tolerance for the number of children in a single persisted node document. Generally, the documents are optimized only when the actual number of children differs from the target by the tolerance.
      Returns:
        the child count tolerance

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.